Page MenuHomePhabricator

Package and deploy ATS 9.1.2
Open, Needs TriagePublic

Description

We are currently running ATS 8.0.8 in production and should upgrade to 9.1.2, which will be supported till 2024.

(As per https://docs.trafficserver.apache.org/en/latest/release-notes/roadmap.en.html, 8.x will be supported till 2022 and therefore we should not upgrade to the 8.x series.)

This task tracks the Debian packaging work and deployment of ATS 9.1.2.

  • Debian packaging
    • review packaging
  • 9.x config changes
    • review changes
  • Testing of new changes

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+1 -1
operations/debs/trafficservermaster+395 -0
operations/puppetproduction+32 -10
operations/puppetproduction+1 -0
operations/puppetproduction+1 -0
operations/puppetproduction+1 -0
operations/puppetproduction+92 -3
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+11 -43
operations/puppetproduction+37 -1
operations/puppetproduction+3 -0
operations/puppetproduction+3 -0
operations/puppetproduction+1 -0
operations/puppetproduction+2 -0
operations/puppetproduction+18 -3
operations/puppetproduction+24 -7
operations/puppetproduction+41 -3
operations/puppetproduction+78 -62
operations/puppetproduction+1 -3
operations/puppetproduction+0 -8
operations/puppetproduction+1 -0
operations/puppetproduction+1 -0
operations/puppetproduction+2 -0
Show related patches Customize query in gerrit

Event Timeline

trafficserver (9.1.2-1wm1) buster-wikimedia; urgency=medium

  * Non-maintainer upload.
  * New upstream release 9.1.2

 -- Sukhbir Singh <ssingh@wikimedia.org>  Tue, 31 May 2022 13:34:20 -0400
ssingh renamed this task from Package and deploy ATS 9.1.4 to Package and deploy ATS 9.1.2.May 31 2022, 7:00 PM
ssingh updated the task description. (Show Details)

Change 803272 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: switch ip_allow.config to YAML format

https://gerrit.wikimedia.org/r/803272

Change 803285 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: separate metric current_client_connections

https://gerrit.wikimedia.org/r/803285

Change 803286 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: rename max_connections_active_in

https://gerrit.wikimedia.org/r/803286

Change 803288 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: remove deprecated parent_proxy_routing_enable

https://gerrit.wikimedia.org/r/803288

Change 803296 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: replace client.verify.server

https://gerrit.wikimedia.org/r/803296

Change 803297 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: remove redundant metrics

https://gerrit.wikimedia.org/r/803297

Change 803301 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: update logging field for HTTP version

https://gerrit.wikimedia.org/r/803301

Change 816795 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: do not enable ATS 9.x by default

https://gerrit.wikimedia.org/r/816795

Change 816801 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] aptrepo: add a component for ATS 9.x

https://gerrit.wikimedia.org/r/816801

Change 816806 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: install ATS 9.x from component

https://gerrit.wikimedia.org/r/816806

Change 816795 abandoned by Vgutierrez:

[operations/puppet@production] trafficserver: 9.x upgrade: do not enable ATS 9.x by default

Reason:

as discussed with Ssingh on IRC, this is not required

https://gerrit.wikimedia.org/r/816795

Change 816801 merged by Ssingh:

[operations/puppet@production] aptrepo: add a component for ATS 9.x

https://gerrit.wikimedia.org/r/816801

Mentioned in SAL (#wikimedia-operations) [2022-07-26T14:52:36Z] <sukhe> upload trafficserver_9.1.2-1wm1_amd64 to apt.wm.o (buster) - T309651

Change 803297 merged by Ssingh:

[operations/puppet@production] trafficserver: 9.x upgrade: remove redundant metrics

https://gerrit.wikimedia.org/r/803297

Change 803301 merged by Vgutierrez:

[operations/puppet@production] trafficserver: 9.x upgrade: remove wmf-tls log format

https://gerrit.wikimedia.org/r/803301

Change 803286 merged by Ssingh:

[operations/puppet@production] trafficserver: 9.x upgrade: rename max_connections_active_in

https://gerrit.wikimedia.org/r/803286

Change 803272 merged by Ssingh:

[operations/puppet@production] trafficserver: 9.x upgrade: switch ip_allow.config to YAML format

https://gerrit.wikimedia.org/r/803272

Change 803296 merged by Ssingh:

[operations/puppet@production] trafficserver: 9.x upgrade: replace client.verify.server

https://gerrit.wikimedia.org/r/803296

Change 816806 merged by Ssingh:

[operations/puppet@production] trafficserver: 9.x upgrade: install ATS 9.x from component

https://gerrit.wikimedia.org/r/816806

Change 803288 merged by Ssingh:

[operations/puppet@production] trafficserver: 9.x upgrade: remove deprecated parent_proxy_routing_enable

https://gerrit.wikimedia.org/r/803288

Change 818144 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] hiera: enable ATS9 on cp4026

https://gerrit.wikimedia.org/r/818144

Change 818144 merged by Ssingh:

[operations/puppet@production] hiera: enable ATS9 on cp4026

https://gerrit.wikimedia.org/r/818144

Change 818172 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] trafficserver: Avoid loading plugins from /run

https://gerrit.wikimedia.org/r/818172

Change 818172 merged by Vgutierrez:

[operations/puppet@production] trafficserver: Avoid loading plugins from /run

https://gerrit.wikimedia.org/r/818172

Change 818174 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: add top-level tag for logging

https://gerrit.wikimedia.org/r/818174

Change 818174 merged by Ssingh:

[operations/puppet@production] trafficserver: add top-level tag for logging

https://gerrit.wikimedia.org/r/818174

Mentioned in SAL (#wikimedia-operations) [2022-07-28T16:45:12Z] <vgutierrez> pooling ats-be@cp4026 running ATS 9.1.2 - T309651

Change 818429 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] trafficserver: Fix logging template

https://gerrit.wikimedia.org/r/818429

Change 818436 had a related patch set uploaded (by Jbond; author: jbond):

[operations/puppet@production] C:trafficserver: build yaml structure in puppet instead of erb

https://gerrit.wikimedia.org/r/818436

Change 818429 abandoned by Vgutierrez:

[operations/puppet@production] trafficserver: Fix logging template

Reason:

Let's use If11af8520b6f59284c10fd3b5bb72dfd28bada8c instead

https://gerrit.wikimedia.org/r/818429

Change 818436 merged by Vgutierrez:

[operations/puppet@production] C:trafficserver: build yaml structure in puppet instead of erb

https://gerrit.wikimedia.org/r/818436

Change 818442 had a related patch set uploaded (by Jbond; author: jbond):

[operations/puppet@production] C:trafficserver: filter out logs without ensure == present

https://gerrit.wikimedia.org/r/818442

Change 818442 merged by Vgutierrez:

[operations/puppet@production] C:trafficserver: filter out logs without ensure == present

https://gerrit.wikimedia.org/r/818442

Change 818445 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] hiera: enable ATS9 on cp4032

https://gerrit.wikimedia.org/r/818445

Change 818445 merged by Vgutierrez:

[operations/puppet@production] hiera: enable ATS9 on cp4032

https://gerrit.wikimedia.org/r/818445

Mentioned in SAL (#wikimedia-operations) [2022-07-29T11:37:34Z] <vgutierrez> update ATS to version 9.1.2 in cp4032 - T309651

Change 818456 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] hiera: enable ATS9 on cp6008

https://gerrit.wikimedia.org/r/818456

Change 818458 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] hiera: enable ATS9 on cp6016

https://gerrit.wikimedia.org/r/818458

Change 818504 had a related patch set uploaded (by Ssingh; author: Ssingh):

[operations/puppet@production] trafficserver: 9.x upgrade: add compatibility for session_sharing.match

https://gerrit.wikimedia.org/r/818504

Change 818504 merged by Vgutierrez:

[operations/puppet@production] trafficserver: 9.x upgrade: add compatibility for session_sharing.match

https://gerrit.wikimedia.org/r/818504

Change 818456 merged by Vgutierrez:

[operations/puppet@production] hiera: enable ATS9 on cp6008

https://gerrit.wikimedia.org/r/818456

Mentioned in SAL (#wikimedia-operations) [2022-08-01T10:05:28Z] <vgutierrez> test ATS 9.1.2 on cp6008 - T309651

Change 818458 merged by Vgutierrez:

[operations/puppet@production] hiera: enable ATS9 on cp6016

https://gerrit.wikimedia.org/r/818458

Mentioned in SAL (#wikimedia-operations) [2022-08-01T10:09:37Z] <vgutierrez> test ATS 9.1.2 on cp6016 - T309651

Change 819585 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] trafficserver: Set thread count factor to 1.5x for ats9 instances

https://gerrit.wikimedia.org/r/819585

Change 819585 merged by Vgutierrez:

[operations/puppet@production] trafficserver: Set thread count factor to 1.5x for ats9 instances

https://gerrit.wikimedia.org/r/819585

Change 820104 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] trafficserver: Track time spent in or waiting for plugins

https://gerrit.wikimedia.org/r/820104

Change 820121 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/debs/trafficserver@master] Backport several fixex scheduled for 9.1.3

https://gerrit.wikimedia.org/r/820121

Change 820104 merged by Vgutierrez:

[operations/puppet@production] trafficserver: Track time spent in or waiting for plugins

https://gerrit.wikimedia.org/r/820104

Change 820132 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] trafficserver: Adjust (Total|Active)PluginTime milestones

https://gerrit.wikimedia.org/r/820132

Change 820132 merged by Vgutierrez:

[operations/puppet@production] trafficserver: Adjust (Total|Active)PluginTime milestones

https://gerrit.wikimedia.org/r/820132

Mentioned in SAL (#wikimedia-operations) [2022-08-03T15:30:54Z] <vgutierrez> clearing ats-be cache on cp6016 - T309651

Mentioned in SAL (#wikimedia-operations) [2022-08-03T15:38:50Z] <vgutierrez> clearing ats-be cache on cp6008 - T309651